﻿Imports System.Runtime.CompilerServices
Imports System.ComponentModel

Module ModuleExtensions
    <Extension()> _
    Public Function GetList(Of T As Class)(ByVal tbl As System.Data.Linq.Table(Of T)) As IList
        Return DirectCast(tbl, IListSource).GetList
    End Function

    <Extension()> _
    Public Function GetEnumerable(Of T As Class)(ByVal tbl As System.Data.Linq.Table(Of T)) As IEnumerable(Of T)
        Return DirectCast(tbl, IListSource).GetList.Cast(Of T)()
    End Function

    Public Function GetQueryable(Of T As Class)(ByVal tbl As System.Data.Linq.Table(Of T)) As IQueryable(Of T)
        Return tbl ' DirectCast(tbl, IListSource).GetList
    End Function

End Module