﻿Imports System.Windows.Input

Namespace ViewModel

    Public Class WorkspaceViewModel
        Inherits ViewModelBase

        Sub New()
            Me.Nummer = "WorkspaceViewModel " & Counter.ToString
        End Sub

#Region "CloseCommand"
        Private _closeCommand As ICommand
        Public ReadOnly Property CloseCommand As ICommand
            Get
                If _closeCommand Is Nothing Then
                    _closeCommand = New RelayCommand(AddressOf OnRequestClose)
                End If
                Return _closeCommand
            End Get
        End Property

        Public Event RequestClose(sender As Object, e As EventArgs)

        Public Sub OnRequestClose(sender As Object)
            RaiseEvent RequestClose(Me, EventArgs.Empty)
        End Sub
#End Region

    End Class
End Namespace
